QDomEntityReference(3qt)

NAME
QDomEntityReference - Represents an XML entity reference <h1 align=center>QDomEntityReference Class Reference
<small>[ XML module ]</small></h1>

#include <qdom.h>

Inherits QDomNode.

  Public Members
QDomEntityReference ()
QDomEntityReference ( const QDomEntityReference & x )
QDomEntityReference& operator= ( const QDomEntityReference & )
~QDomEntityReference ()
virtual QDomNode::NodeType nodeType () const
virtual bool isEntityReference () const

DESCRIPTION
The QDomEntityReference class represents an XML entity reference.

A QDomEntityReference object may be inserted into the DOM tree when an entity reference is in the source document, or when the user wishes to insert an entity reference.

Note that character references and references to predefined entities are expanded by the XML processor so that characters are represented by their Unicode equivalent rather than by an entity reference.

Moreover, the XML processor may completely expand references to entities while building the DOM tree, instead of providing QDomEntityReference objects.

If it does provide such objects, then for a given entity reference node, it may be that there is no entity node representing the referenced entity; but if such an entity exists, then the child list of the entity reference node is the same as that of the entity node. As with the entity node, all descendants of the entity reference are readonly.

For further information about the Document Objct Model see http://www.w3.org/TR/REC-DOM-Level-1/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

MEMBER FUNCTION DOCUMENTATION

QDomEntityReference::QDomEntityReference ()
Constructs an empty entity reference. Use QDomDocument::createEntityReference() to create a entity reference with content.

QDomEntityReference::QDomEntityReference ( const QDomEntityReference & x )
Copy constructor.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

QDomEntityReference::~QDomEntityReference ()
Destructor.

bool QDomEntityReference::isEntityReference () const [virtual]
Returns TRUE.

Reimplemented from QDomNode.

QDomNode::NodeType QDomEntityReference::nodeType() const [virtual]
Returns EntityReference.

Reimplemented from QDomNode.

QDomEntityReference& QDomEntityReference::operator= ( const QDomEntityReference & x )
Assignment operator.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

SEE ALSO
http://doc.trolltech.com/qdomentityreference.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.